// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		297ECD2621698BCB00DB816E /* MyLabel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 297ECD2521698BCB00DB816E /* MyLabel.swift */; };
		297ECD2821699BC100DB816E /* ViewController+TimerFunction.swift in Sources */ = {isa = PBXBuildFile; fileRef = 297ECD2721699BC100DB816E /* ViewController+TimerFunction.swift */; };
		297ECD2A21699BF800DB816E /* ViewController+ViewDidLoad.swift in Sources */ = {isa = PBXBuildFile; fileRef = 297ECD2921699BF800DB816E /* ViewController+ViewDidLoad.swift */; };
		297ECD2C21699C1500DB816E /* ViewController+Randomzie.swift in Sources */ = {isa = PBXBuildFile; fileRef = 297ECD2B21699C1500DB816E /* ViewController+Randomzie.swift */; };
		297ECD2E21699C4300DB816E /* ViewController+MakeTiles.swift in Sources */ = {isa = PBXBuildFile; fileRef = 297ECD2D21699C4300DB816E /* ViewController+MakeTiles.swift */; };
		297ECD3021699C4F00DB816E /* ViewController+Reset.swift in Sources */ = {isa = PBXBuildFile; fileRef = 297ECD2F21699C4F00DB816E /* ViewController+Reset.swift */; };
		297ECD3221699C5800DB816E /* ViewController+GameMode.swift in Sources */ = {isa = PBXBuildFile; fileRef = 297ECD3121699C5800DB816E /* ViewController+GameMode.swift */; };
		297ECD342169A58C00DB816E /* ViewController+TouchesEnded.swift in Sources */ = {isa = PBXBuildFile; fileRef = 297ECD332169A58C00DB816E /* ViewController+TouchesEnded.swift */; };
		297ECD362169A97F00DB816E /* ViewController+FlipToReveal.swift in Sources */ = {isa = PBXBuildFile; fileRef = 297ECD352169A97F00DB816E /* ViewController+FlipToReveal.swift */; };
		297ECD38216A40E700DB816E /* ViewController+RevealAndCompare.swift in Sources */ = {isa = PBXBuildFile; fileRef = 297ECD37216A40E700DB816E /* ViewController+RevealAndCompare.swift */; };
		297ECD3A216A41B100DB816E /* ViewController+Compare.swift in Sources */ = {isa = PBXBuildFile; fileRef = 297ECD39216A41B100DB816E /* ViewController+Compare.swift */; };
		297ECD3C216A47A500DB816E /* ViewController+FlipToSmile.swift in Sources */ = {isa = PBXBuildFile; fileRef = 297ECD3B216A47A500DB816E /* ViewController+FlipToSmile.swift */; };
		297ECD3E216A47B400DB816E /* ViewController+FlipBack.swift in Sources */ = {isa = PBXBuildFile; fileRef = 297ECD3D216A47B400DB816E /* ViewController+FlipBack.swift */; };
		297ECD40216A4C3A00DB816E /* ViewController+WonState.swift in Sources */ = {isa = PBXBuildFile; fileRef = 297ECD3F216A4C3A00DB816E /* ViewController+WonState.swift */; };
		297ECD65216A5DF500DB816E /* img_14.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD41216A5DF000DB816E /* img_14.jpg */; };
		297ECD66216A5DF500DB816E /* img_24.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD42216A5DF000DB816E /* img_24.jpg */; };
		297ECD67216A5DF500DB816E /* img_27.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD43216A5DF000DB816E /* img_27.jpg */; };
		297ECD68216A5DF500DB816E /* tick.png in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD44216A5DF000DB816E /* tick.png */; };
		297ECD69216A5DF500DB816E /* img_30.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD45216A5DF000DB816E /* img_30.jpg */; };
		297ECD6A216A5DF500DB816E /* img_12.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD46216A5DF000DB816E /* img_12.jpg */; };
		297ECD6B216A5DF500DB816E /* img_25.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD47216A5DF000DB816E /* img_25.jpg */; };
		297ECD6C216A5DF500DB816E /* img_15.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD48216A5DF000DB816E /* img_15.jpg */; };
		297ECD6D216A5DF500DB816E /* img_21.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD49216A5DF000DB816E /* img_21.jpg */; };
		297ECD6E216A5DF500DB816E /* img_28.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD4A216A5DF100DB816E /* img_28.jpg */; };
		297ECD6F216A5DF500DB816E /* img_18.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD4B216A5DF100DB816E /* img_18.jpg */; };
		297ECD70216A5DF500DB816E /* img_08.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD4C216A5DF100DB816E /* img_08.jpg */; };
		297ECD71216A5DF500DB816E /* img_04.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD4D216A5DF100DB816E /* img_04.jpg */; };
		297ECD72216A5DF500DB816E /* img_20.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD4E216A5DF100DB816E /* img_20.jpg */; };
		297ECD73216A5DF500DB816E /* img_33.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD4F216A5DF100DB816E /* img_33.jpg */; };
		297ECD74216A5DF500DB816E /* img_26.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD50216A5DF100DB816E /* img_26.jpg */; };
		297ECD75216A5DF500DB816E /* img_01.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD51216A5DF200DB816E /* img_01.jpg */; };
		297ECD76216A5DF500DB816E /* img_05.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD52216A5DF200DB816E /* img_05.jpg */; };
		297ECD77216A5DF500DB816E /* img_17.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD53216A5DF200DB816E /* img_17.jpg */; };
		297ECD78216A5DF500DB816E /* img_07.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD54216A5DF200DB816E /* img_07.jpg */; };
		297ECD79216A5DF500DB816E /* img_03.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD55216A5DF200DB816E /* img_03.jpg */; };
		297ECD7A216A5DF500DB816E /* question.png in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD56216A5DF200DB816E /* question.png */; };
		297ECD7B216A5DF500DB816E /* img_16.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD57216A5DF200DB816E /* img_16.jpg */; };
		297ECD7C216A5DF500DB816E /* img_11.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD58216A5DF300DB816E /* img_11.jpg */; };
		297ECD7D216A5DF500DB816E /* img_23.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD59216A5DF300DB816E /* img_23.jpg */; };
		297ECD7E216A5DF500DB816E /* img_13.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD5A216A5DF300DB816E /* img_13.jpg */; };
		297ECD7F216A5DF500DB816E /* img_09.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD5B216A5DF300DB816E /* img_09.jpg */; };
		297ECD80216A5DF500DB816E /* img_22.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD5C216A5DF300DB816E /* img_22.jpg */; };
		297ECD81216A5DF500DB816E /* img_06.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD5D216A5DF400DB816E /* img_06.jpg */; };
		297ECD82216A5DF500DB816E /* img_00.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD5E216A5DF400DB816E /* img_00.jpg */; };
		297ECD83216A5DF500DB816E /* img_19.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD5F216A5DF400DB816E /* img_19.jpg */; };
		297ECD84216A5DF500DB816E /* img_10.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD60216A5DF400DB816E /* img_10.jpg */; };
		297ECD85216A5DF500DB816E /* img_02.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD61216A5DF400DB816E /* img_02.jpg */; };
		297ECD86216A5DF500DB816E /* img_29.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD62216A5DF400DB816E /* img_29.jpg */; };
		297ECD87216A5DF500DB816E /* img_31.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD63216A5DF400DB816E /* img_31.jpg */; };
		297ECD88216A5DF500DB816E /* img_32.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 297ECD64216A5DF500DB816E /* img_32.jpg */; };
		297ECD8B216A5F7900DB816E /* MyImage.swift in Sources */ = {isa = PBXBuildFile; fileRef = 297ECD8A216A5F7900DB816E /* MyImage.swift */; };
		29C2249C2167A49000C74F08 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 29C2249B2167A49000C74F08 /* AppDelegate.swift */; };
		29C2249E2167A49000C74F08 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 29C2249D2167A49000C74F08 /* ViewController.swift */; };
		29C224A12167A49000C74F08 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 29C2249F2167A49000C74F08 /* Main.storyboard */; };
		29C224A32167A49100C74F08 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 29C224A22167A49100C74F08 /* Assets.xcassets */; };
		29C224A62167A49100C74F08 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 29C224A42167A49100C74F08 /* LaunchScreen.storyboard */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		297ECD2521698BCB00DB816E /* MyLabel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MyLabel.swift; sourceTree = "<group>"; };
		297ECD2721699BC100DB816E /* ViewController+TimerFunction.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "ViewController+TimerFunction.swift"; sourceTree = "<group>"; };
		297ECD2921699BF800DB816E /* ViewController+ViewDidLoad.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "ViewController+ViewDidLoad.swift"; sourceTree = "<group>"; };
		297ECD2B21699C1500DB816E /* ViewController+Randomzie.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "ViewController+Randomzie.swift"; sourceTree = "<group>"; };
		297ECD2D21699C4300DB816E /* ViewController+MakeTiles.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "ViewController+MakeTiles.swift"; sourceTree = "<group>"; };
		297ECD2F21699C4F00DB816E /* ViewController+Reset.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "ViewController+Reset.swift"; sourceTree = "<group>"; };
		297ECD3121699C5800DB816E /* ViewController+GameMode.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "ViewController+GameMode.swift"; sourceTree = "<group>"; };
		297ECD332169A58C00DB816E /* ViewController+TouchesEnded.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "ViewController+TouchesEnded.swift"; sourceTree = "<group>"; };
		297ECD352169A97F00DB816E /* ViewController+FlipToReveal.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "ViewController+FlipToReveal.swift"; sourceTree = "<group>"; };
		297ECD37216A40E700DB816E /* ViewController+RevealAndCompare.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "ViewController+RevealAndCompare.swift"; sourceTree = "<group>"; };
		297ECD39216A41B100DB816E /* ViewController+Compare.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "ViewController+Compare.swift"; sourceTree = "<group>"; };
		297ECD3B216A47A500DB816E /* ViewController+FlipToSmile.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "ViewController+FlipToSmile.swift"; sourceTree = "<group>"; };
		297ECD3D216A47B400DB816E /* ViewController+FlipBack.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "ViewController+FlipBack.swift"; sourceTree = "<group>"; };
		297ECD3F216A4C3A00DB816E /* ViewController+WonState.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "ViewController+WonState.swift"; sourceTree = "<group>"; };
		297ECD41216A5DF000DB816E /* img_14.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_14.jpg; sourceTree = "<group>"; };
		297ECD42216A5DF000DB816E /* img_24.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_24.jpg; sourceTree = "<group>"; };
		297ECD43216A5DF000DB816E /* img_27.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_27.jpg; sourceTree = "<group>"; };
		297ECD44216A5DF000DB816E /* tick.png */ = {isa = PBXFileReference; lastKnownFileType = image.png; path = tick.png; sourceTree = "<group>"; };
		297ECD45216A5DF000DB816E /* img_30.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_30.jpg; sourceTree = "<group>"; };
		297ECD46216A5DF000DB816E /* img_12.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_12.jpg; sourceTree = "<group>"; };
		297ECD47216A5DF000DB816E /* img_25.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_25.jpg; sourceTree = "<group>"; };
		297ECD48216A5DF000DB816E /* img_15.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_15.jpg; sourceTree = "<group>"; };
		297ECD49216A5DF000DB816E /* img_21.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_21.jpg; sourceTree = "<group>"; };
		297ECD4A216A5DF100DB816E /* img_28.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_28.jpg; sourceTree = "<group>"; };
		297ECD4B216A5DF100DB816E /* img_18.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_18.jpg; sourceTree = "<group>"; };
		297ECD4C216A5DF100DB816E /* img_08.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_08.jpg; sourceTree = "<group>"; };
		297ECD4D216A5DF100DB816E /* img_04.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_04.jpg; sourceTree = "<group>"; };
		297ECD4E216A5DF100DB816E /* img_20.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_20.jpg; sourceTree = "<group>"; };
		297ECD4F216A5DF100DB816E /* img_33.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_33.jpg; sourceTree = "<group>"; };
		297ECD50216A5DF100DB816E /* img_26.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_26.jpg; sourceTree = "<group>"; };
		297ECD51216A5DF200DB816E /* img_01.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_01.jpg; sourceTree = "<group>"; };
		297ECD52216A5DF200DB816E /* img_05.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_05.jpg; sourceTree = "<group>"; };
		297ECD53216A5DF200DB816E /* img_17.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_17.jpg; sourceTree = "<group>"; };
		297ECD54216A5DF200DB816E /* img_07.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_07.jpg; sourceTree = "<group>"; };
		297ECD55216A5DF200DB816E /* img_03.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_03.jpg; sourceTree = "<group>"; };
		297ECD56216A5DF200DB816E /* question.png */ = {isa = PBXFileReference; lastKnownFileType = image.png; path = question.png; sourceTree = "<group>"; };
		297ECD57216A5DF200DB816E /* img_16.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_16.jpg; sourceTree = "<group>"; };
		297ECD58216A5DF300DB816E /* img_11.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_11.jpg; sourceTree = "<group>"; };
		297ECD59216A5DF300DB816E /* img_23.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_23.jpg; sourceTree = "<group>"; };
		297ECD5A216A5DF300DB816E /* img_13.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_13.jpg; sourceTree = "<group>"; };
		297ECD5B216A5DF300DB816E /* img_09.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_09.jpg; sourceTree = "<group>"; };
		297ECD5C216A5DF300DB816E /* img_22.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_22.jpg; sourceTree = "<group>"; };
		297ECD5D216A5DF400DB816E /* img_06.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_06.jpg; sourceTree = "<group>"; };
		297ECD5E216A5DF400DB816E /* img_00.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_00.jpg; sourceTree = "<group>"; };
		297ECD5F216A5DF400DB816E /* img_19.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_19.jpg; sourceTree = "<group>"; };
		297ECD60216A5DF400DB816E /* img_10.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_10.jpg; sourceTree = "<group>"; };
		297ECD61216A5DF400DB816E /* img_02.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_02.jpg; sourceTree = "<group>"; };
		297ECD62216A5DF400DB816E /* img_29.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_29.jpg; sourceTree = "<group>"; };
		297ECD63216A5DF400DB816E /* img_31.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_31.jpg; sourceTree = "<group>"; };
		297ECD64216A5DF500DB816E /* img_32.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = img_32.jpg; sourceTree = "<group>"; };
		297ECD8A216A5F7900DB816E /* MyImage.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MyImage.swift; sourceTree = "<group>"; };
		29C224982167A49000C74F08 /* Memory Puzzle Game.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = "Memory Puzzle Game.app"; sourceTree = BUILT_PRODUCTS_DIR; };
		29C2249B2167A49000C74F08 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		29C2249D2167A49000C74F08 /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		29C224A02167A49000C74F08 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		29C224A22167A49100C74F08 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		29C224A52167A49100C74F08 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		29C224A72167A49100C74F08 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		29C224952167A49000C74F08 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		297ECD89216A5DFE00DB816E /* Images Group */ = {
			isa = PBXGroup;
			children = (
				297ECD5E216A5DF400DB816E /* img_00.jpg */,
				297ECD51216A5DF200DB816E /* img_01.jpg */,
				297ECD61216A5DF400DB816E /* img_02.jpg */,
				297ECD55216A5DF200DB816E /* img_03.jpg */,
				297ECD4D216A5DF100DB816E /* img_04.jpg */,
				297ECD52216A5DF200DB816E /* img_05.jpg */,
				297ECD5D216A5DF400DB816E /* img_06.jpg */,
				297ECD54216A5DF200DB816E /* img_07.jpg */,
				297ECD4C216A5DF100DB816E /* img_08.jpg */,
				297ECD5B216A5DF300DB816E /* img_09.jpg */,
				297ECD60216A5DF400DB816E /* img_10.jpg */,
				297ECD58216A5DF300DB816E /* img_11.jpg */,
				297ECD46216A5DF000DB816E /* img_12.jpg */,
				297ECD5A216A5DF300DB816E /* img_13.jpg */,
				297ECD41216A5DF000DB816E /* img_14.jpg */,
				297ECD48216A5DF000DB816E /* img_15.jpg */,
				297ECD57216A5DF200DB816E /* img_16.jpg */,
				297ECD53216A5DF200DB816E /* img_17.jpg */,
				297ECD4B216A5DF100DB816E /* img_18.jpg */,
				297ECD5F216A5DF400DB816E /* img_19.jpg */,
				297ECD4E216A5DF100DB816E /* img_20.jpg */,
				297ECD49216A5DF000DB816E /* img_21.jpg */,
				297ECD5C216A5DF300DB816E /* img_22.jpg */,
				297ECD59216A5DF300DB816E /* img_23.jpg */,
				297ECD42216A5DF000DB816E /* img_24.jpg */,
				297ECD47216A5DF000DB816E /* img_25.jpg */,
				297ECD50216A5DF100DB816E /* img_26.jpg */,
				297ECD43216A5DF000DB816E /* img_27.jpg */,
				297ECD4A216A5DF100DB816E /* img_28.jpg */,
				297ECD62216A5DF400DB816E /* img_29.jpg */,
				297ECD45216A5DF000DB816E /* img_30.jpg */,
				297ECD63216A5DF400DB816E /* img_31.jpg */,
				297ECD64216A5DF500DB816E /* img_32.jpg */,
				297ECD4F216A5DF100DB816E /* img_33.jpg */,
				297ECD56216A5DF200DB816E /* question.png */,
				297ECD44216A5DF000DB816E /* tick.png */,
			);
			path = "Images Group";
			sourceTree = "<group>";
		};
		29C2248F2167A49000C74F08 = {
			isa = PBXGroup;
			children = (
				29C2249A2167A49000C74F08 /* Memory Puzzle Game */,
				29C224992167A49000C74F08 /* Products */,
			);
			sourceTree = "<group>";
		};
		29C224992167A49000C74F08 /* Products */ = {
			isa = PBXGroup;
			children = (
				29C224982167A49000C74F08 /* Memory Puzzle Game.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		29C2249A2167A49000C74F08 /* Memory Puzzle Game */ = {
			isa = PBXGroup;
			children = (
				297ECD89216A5DFE00DB816E /* Images Group */,
				29C2249B2167A49000C74F08 /* AppDelegate.swift */,
				29C2249D2167A49000C74F08 /* ViewController.swift */,
				297ECD2F21699C4F00DB816E /* ViewController+Reset.swift */,
				297ECD332169A58C00DB816E /* ViewController+TouchesEnded.swift */,
				297ECD37216A40E700DB816E /* ViewController+RevealAndCompare.swift */,
				297ECD3B216A47A500DB816E /* ViewController+FlipToSmile.swift */,
				297ECD3D216A47B400DB816E /* ViewController+FlipBack.swift */,
				297ECD352169A97F00DB816E /* ViewController+FlipToReveal.swift */,
				297ECD39216A41B100DB816E /* ViewController+Compare.swift */,
				297ECD3F216A4C3A00DB816E /* ViewController+WonState.swift */,
				297ECD3121699C5800DB816E /* ViewController+GameMode.swift */,
				297ECD2D21699C4300DB816E /* ViewController+MakeTiles.swift */,
				297ECD2B21699C1500DB816E /* ViewController+Randomzie.swift */,
				297ECD2721699BC100DB816E /* ViewController+TimerFunction.swift */,
				297ECD2921699BF800DB816E /* ViewController+ViewDidLoad.swift */,
				297ECD2521698BCB00DB816E /* MyLabel.swift */,
				297ECD8A216A5F7900DB816E /* MyImage.swift */,
				29C2249F2167A49000C74F08 /* Main.storyboard */,
				29C224A22167A49100C74F08 /* Assets.xcassets */,
				29C224A42167A49100C74F08 /* LaunchScreen.storyboard */,
				29C224A72167A49100C74F08 /* Info.plist */,
			);
			path = "Memory Puzzle Game";
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		29C224972167A49000C74F08 /* Memory Puzzle Game */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 29C224AA2167A49100C74F08 /* Build configuration list for PBXNativeTarget "Memory Puzzle Game" */;
			buildPhases = (
				29C224942167A49000C74F08 /* Sources */,
				29C224952167A49000C74F08 /* Frameworks */,
				29C224962167A49000C74F08 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = "Memory Puzzle Game";
			productName = "Memory Puzzle Game";
			productReference = 29C224982167A49000C74F08 /* Memory Puzzle Game.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		29C224902167A49000C74F08 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1000;
				LastUpgradeCheck = 1000;
				ORGANIZATIONNAME = "Cinard - How to Make an App";
				TargetAttributes = {
					29C224972167A49000C74F08 = {
						CreatedOnToolsVersion = 10.0;
					};
				};
			};
			buildConfigurationList = 29C224932167A49000C74F08 /* Build configuration list for PBXProject "Memory Puzzle Game" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 29C2248F2167A49000C74F08;
			productRefGroup = 29C224992167A49000C74F08 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				29C224972167A49000C74F08 /* Memory Puzzle Game */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		29C224962167A49000C74F08 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				297ECD6A216A5DF500DB816E /* img_12.jpg in Resources */,
				297ECD7E216A5DF500DB816E /* img_13.jpg in Resources */,
				297ECD73216A5DF500DB816E /* img_33.jpg in Resources */,
				297ECD6E216A5DF500DB816E /* img_28.jpg in Resources */,
				297ECD69216A5DF500DB816E /* img_30.jpg in Resources */,
				29C224A62167A49100C74F08 /* LaunchScreen.storyboard in Resources */,
				297ECD84216A5DF500DB816E /* img_10.jpg in Resources */,
				297ECD7A216A5DF500DB816E /* question.png in Resources */,
				297ECD66216A5DF500DB816E /* img_24.jpg in Resources */,
				297ECD75216A5DF500DB816E /* img_01.jpg in Resources */,
				297ECD7B216A5DF500DB816E /* img_16.jpg in Resources */,
				297ECD85216A5DF500DB816E /* img_02.jpg in Resources */,
				297ECD67216A5DF500DB816E /* img_27.jpg in Resources */,
				29C224A32167A49100C74F08 /* Assets.xcassets in Resources */,
				297ECD6B216A5DF500DB816E /* img_25.jpg in Resources */,
				297ECD6C216A5DF500DB816E /* img_15.jpg in Resources */,
				297ECD7C216A5DF500DB816E /* img_11.jpg in Resources */,
				297ECD83216A5DF500DB816E /* img_19.jpg in Resources */,
				297ECD71216A5DF500DB816E /* img_04.jpg in Resources */,
				297ECD86216A5DF500DB816E /* img_29.jpg in Resources */,
				297ECD7F216A5DF500DB816E /* img_09.jpg in Resources */,
				297ECD87216A5DF500DB816E /* img_31.jpg in Resources */,
				297ECD78216A5DF500DB816E /* img_07.jpg in Resources */,
				297ECD6D216A5DF500DB816E /* img_21.jpg in Resources */,
				297ECD82216A5DF500DB816E /* img_00.jpg in Resources */,
				297ECD68216A5DF500DB816E /* tick.png in Resources */,
				297ECD74216A5DF500DB816E /* img_26.jpg in Resources */,
				297ECD79216A5DF500DB816E /* img_03.jpg in Resources */,
				297ECD70216A5DF500DB816E /* img_08.jpg in Resources */,
				297ECD88216A5DF500DB816E /* img_32.jpg in Resources */,
				297ECD80216A5DF500DB816E /* img_22.jpg in Resources */,
				297ECD65216A5DF500DB816E /* img_14.jpg in Resources */,
				297ECD6F216A5DF500DB816E /* img_18.jpg in Resources */,
				29C224A12167A49000C74F08 /* Main.storyboard in Resources */,
				297ECD81216A5DF500DB816E /* img_06.jpg in Resources */,
				297ECD77216A5DF500DB816E /* img_17.jpg in Resources */,
				297ECD72216A5DF500DB816E /* img_20.jpg in Resources */,
				297ECD7D216A5DF500DB816E /* img_23.jpg in Resources */,
				297ECD76216A5DF500DB816E /* img_05.jpg in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		29C224942167A49000C74F08 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				297ECD3C216A47A500DB816E /* ViewController+FlipToSmile.swift in Sources */,
				29C2249E2167A49000C74F08 /* ViewController.swift in Sources */,
				297ECD2E21699C4300DB816E /* ViewController+MakeTiles.swift in Sources */,
				297ECD362169A97F00DB816E /* ViewController+FlipToReveal.swift in Sources */,
				297ECD3021699C4F00DB816E /* ViewController+Reset.swift in Sources */,
				297ECD2A21699BF800DB816E /* ViewController+ViewDidLoad.swift in Sources */,
				297ECD3E216A47B400DB816E /* ViewController+FlipBack.swift in Sources */,
				297ECD40216A4C3A00DB816E /* ViewController+WonState.swift in Sources */,
				29C2249C2167A49000C74F08 /* AppDelegate.swift in Sources */,
				297ECD2821699BC100DB816E /* ViewController+TimerFunction.swift in Sources */,
				297ECD8B216A5F7900DB816E /* MyImage.swift in Sources */,
				297ECD2C21699C1500DB816E /* ViewController+Randomzie.swift in Sources */,
				297ECD342169A58C00DB816E /* ViewController+TouchesEnded.swift in Sources */,
				297ECD2621698BCB00DB816E /* MyLabel.swift in Sources */,
				297ECD3221699C5800DB816E /* ViewController+GameMode.swift in Sources */,
				297ECD3A216A41B100DB816E /* ViewController+Compare.swift in Sources */,
				297ECD38216A40E700DB816E /* ViewController+RevealAndCompare.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		29C2249F2167A49000C74F08 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				29C224A02167A49000C74F08 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		29C224A42167A49100C74F08 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				29C224A52167A49100C74F08 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		29C224A82167A49100C74F08 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		29C224A92167A49100C74F08 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		29C224AB2167A49100C74F08 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = K5PX54PSAX;
				INFOPLIST_FILE = "Memory Puzzle Game/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "ca.cinard.Memory-Puzzle-Game";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = 2;
			};
			name = Debug;
		};
		29C224AC2167A49100C74F08 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = K5PX54PSAX;
				INFOPLIST_FILE = "Memory Puzzle Game/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "ca.cinard.Memory-Puzzle-Game";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = 2;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		29C224932167A49000C74F08 /* Build configuration list for PBXProject "Memory Puzzle Game" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				29C224A82167A49100C74F08 /* Debug */,
				29C224A92167A49100C74F08 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		29C224AA2167A49100C74F08 /* Build configuration list for PBXNativeTarget "Memory Puzzle Game" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				29C224AB2167A49100C74F08 /* Debug */,
				29C224AC2167A49100C74F08 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 29C224902167A49000C74F08 /* Project object */;
}
